# Exporter for the MightyOhm Geiger Counter [![status-badge](https://ci.onders.org/api/badges/finga/mightyohm-gc-exporter/status.svg)](https://ci.onders.org/finga/mightyohm-gc-exporter)
A Prometheus exporter for the [MightyOhm Geiger Counter](https://mightyohm.com/blog/products/geiger-counter/).

## Build
### Same architecture as system
To compile it for the same architecture as the build system:
```sh
cargo build --release
```

### Cross-compile for aarch64 (recent RaspberryPi)
To cross-compile it for RaspberryPi:
```sh
PKG_CONFIG_SYSROOT_DIR=/usr/aarch64-linux-gnu cargo build --target aarch64-unknown-linux-gnu --release
```
